/**
 * 
 */
package org.ajax4jsf.templatecompiler.elements.vcp;

import org.ajax4jsf.templatecompiler.builder.CompilationContext;
import org.ajax4jsf.templatecompiler.builder.CompilationException;
import org.ajax4jsf.templatecompiler.el.ELParser;
import org.ajax4jsf.templatecompiler.elements.A4JRendererElementsFactory;
import org.ajax4jsf.templatecompiler.elements.TemplateElementBase;
import org.apache.velocity.VelocityContext;
import org.w3c.dom.Node;

/**
 * Add comma separated list of ids to Ajax Context's rendered areas collection.
 * @author Maksim Kaszynski
 *
 */
public class AjaxRenderedAreaElement extends TemplateElementBase {

	private static final String TEMPLATE = A4JRendererElementsFactory.TEMPLATES_TEMPLATECOMPILER_PATH+"/ajaxRenderedArea.vm";
	
	private String values;
	
	public AjaxRenderedAreaElement(Node element,
			CompilationContext componentBean) {
		super(element, componentBean);
		values = ELParser.compileEL(element.getTextContent(), this.getComponentBean());
		componentBean.addToImport("org.ajax4jsf.context.AjaxContext");
	}

	/* (non-Javadoc)
	 * @see org.ajax4jsf.templatecompiler.elements.TemplateElement#getBeginElement()
	 */
	public String getBeginElement() throws CompilationException {

		VelocityContext context = new VelocityContext();
		context.put("areas", this.values);
		return this.getComponentBean().processTemplate(getTemplateName(), context);
	}

	/* (non-Javadoc)
	 * @see org.ajax4jsf.templatecompiler.elements.TemplateElement#getEndElement()
	 */
	public String getEndElement() throws CompilationException {
		
		return null;
	}

	protected String getTemplateName() {
		return TEMPLATE;
	}
	
	@Override
	public boolean isSkipBody() {
		// TODO Auto-generated method stub
		return true;
	}

}
