<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j" %>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich" %>

<f:subview id="DataFilterSliderSubviewID">
	  
	<a4j:form id="form1" reRender="list-body" ajaxSubmit="true"
		ignoreDupResponses="true" requestDelay="100">

		<a4j:region id="stat1">
			<a4j:outputPanel id="p1">
				<rich:dataFilterSlider sliderListener="#{dfs.doSlide}" rendered="#{dfs.rendered}"
					binding="#{inventoryList.dataFilterSlider}" for="carList"
					forValRef="inventoryList.carInventory" filterBy="getMileage"
					manualInput="true" onSlide="true" onChange="true"
					storeResults="true" trackStyleClass="track" width="400px"
					styleClass="slider-container" startRange="10000" endRange="60000"
					increment="10000" rangeStyleClass="range" trailer="true"
					trailerStyleClass="trailer" handleStyleClass="handle" 
					handleValue="10000" id="slider_1">
				</rich:dataFilterSlider>
			</a4j:outputPanel>



			<a4j:outputPanel id="list-body" style="border: 1px">
				<h:dataTable id="carIndex" rows="10"
					binding="#{inventoryList.carMakeIndexUIData}"
					value="#{inventoryList.carMakeIndex}" var="category"
					styleClass="list-table1" columnClasses="column-index"
					rowClasses="list-row3">

					<h:column>
						<a4j:commandLink actionListener="#{inventoryList.filterCarList}"
							reRender="carList">
							<h:outputText value="#{category}" />
							<f:attribute name="filterRule" value="showTable" />

						</a4j:commandLink>
					</h:column>

				</h:dataTable>

				<h:dataTable id="carList" rows="10"
					value="#{inventoryList.carInventory}" var="category"
					rowClasses="list-row1, list-row2" columnClasses="column"
					headerClass="list-header" styleClass="list-table2">
					<h:column>
						<f:facet name="header">
							<h:outputText styleClass="headerText" value="Make" />
						</f:facet>
						<h:outputText value="#{category.make}" />
					</h:column>
				
					<h:column>
						<f:facet name="header">
							<h:outputText styleClass="headerText" value="Model" />
						</f:facet>
						<h:outputText value="#{category.model}" />
					</h:column>
				
					<h:column>
						<f:facet name="header">
							<h:outputText styleClass="headerText"
								value="#{inventoryList.priceColumnName}" />
						</f:facet>
						<h:outputText value="#{category.price}" />
					</h:column>
				
					<h:column>
						<f:facet name="header">
							<h:outputText styleClass="headerText"
								value="#{inventoryList.mileageColumnName}" />
						</f:facet>
						<h:outputText value="#{category.mileage}" />
					</h:column>
				</h:dataTable>
			</a4j:outputPanel>
		</a4j:region>
	</a4j:form>
</f:subview>	
